Bug 1393929 (CVE-2016-7055) - CVE-2016-7055 openssl: Carry propagating bug in Montgomery multiplication
Summary: CVE-2016-7055 openssl: Carry propagating bug in Montgomery multiplication
Status: CLOSED WONTFIX
Alias: CVE-2016-7055
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20161011,reported=2...
Keywords: Security
Depends On: 1394616 1394618
Blocks: 1393931 1416858
TreeView+ depends on / blocked
 
Reported: 2016-11-10 16:18 UTC by Adam Mariš
Modified: 2019-06-08 21:34 UTC (History)
39 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-08 03:01:59 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2185 None None None 2018-07-12 16:17 UTC
Red Hat Product Errata RHSA-2018:2186 None None None 2018-07-12 16:14 UTC
Red Hat Product Errata RHSA-2018:2187 None None None 2018-07-12 16:05 UTC

Description Adam Mariš 2016-11-10 16:18:18 UTC
Quoting form the OpenSSL upstream advisory:

Montgomery multiplication may produce incorrect results (CVE-2016-7055)
=======================================================================

Severity: Low

There is a carry propagating bug in the Broadwell-specific Montgomery
multiplication procedure that handles input lengths divisible by, but
longer than 256 bits. Analysis suggests that attacks against RSA, DSA
and DH private keys are impossible. This is because the subroutine in
question is not used in operations with the private key itself and an input
of the attacker's direct choice. Otherwise the bug can manifest itself as
transient authentication and key negotiation failures or reproducible
erroneous outcome of public-key operations with specially crafted input.
Among EC algorithms only Brainpool P-512 curves are affected and one
presumably can attack ECDH key negotiation. Impact was not analyzed in
detail, because pre-requisites for attack are considered unlikely. Namely
multiple clients have to choose the curve in question and the server has to
share the private key among them, neither of which is default behaviour.
Even then only clients that chose the curve will be affected.

OpenSSL 1.1.0 users should upgrade to 1.1.0c

This issue does not affect OpenSSL versions prior to 1.0.2. Due to the low
severity of this defect we are not issuing a new 1.0.2 release at this time.
We recommend that 1.0.2 users wait for the next 1.0.2 release for the fix to
become available. The fix is also available in the OpenSSL git repository in
commit 57c4b9f6a2.

This issue was publicly reported as transient failures and was not
initially recognized as a security issue. Thanks to Richard Morgan for
providing reproducible case. The fix was developed by Andy Polyakov of
the OpenSSL development team.

https://www.openssl.org/news/secadv/20161110.txt

Comment 1 Adam Mariš 2016-11-10 16:18:23 UTC
Acknowledgments:

Name: the OpenSSL project

Comment 2 Huzaifa S. Sidhpurwala 2016-11-11 06:19:58 UTC
Upstream patch (against master):

https://github.com/openssl/openssl/commit/2fac86d9abeaa643677d1ffd0a139239fdf9406a

Comment 5 Tomas Hoger 2017-01-26 15:12:09 UTC
This was now also fixed in OpenSSL 1.0.2k.

Quoting from the upstream advisory:

https://www.openssl.org/news/secadv/20170126.txt


Montgomery multiplication may produce incorrect results (CVE-2016-7055)
=======================================================================

Severity: Low

This issue was previously fixed in 1.1.0c and covered in security advisory
https://www.openssl.org/news/secadv/20161110.txt

OpenSSL 1.0.2 users should upgrade to 1.0.2k

Comment 7 errata-xmlrpc 2018-07-12 16:05:16 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Core Services

Via RHSA-2018:2187 https://access.redhat.com/errata/RHSA-2018:2187

Comment 8 errata-xmlrpc 2018-07-12 16:14:35 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 6

Via RHSA-2018:2186 https://access.redhat.com/errata/RHSA-2018:2186

Comment 9 errata-xmlrpc 2018-07-12 16:16:59 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 7

Via RHSA-2018:2185 https://access.redhat.com/errata/RHSA-2018:2185


Note You need to log in before you can comment on or make changes to this bug.